Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::FirstPersonCameraController Class Reference

一人称カメラコントローラ More...

`#include <FirstPersonCameraController.h>`

List of all members.

## Public Member Functions
| FirstPersonCameraController ()
| コンストラクタ
virtual | ~FirstPersonCameraController ()
| デストラクタ
virtual void | setCamera (Camera *camera)
| カメラの設定
virtual void | setup (float nearClip, float farClip, float aspect)
| セットアップ
virtual LRESULT | windowProcedure (HWND windowHandle, u_int message, WPARAM wParam, LPARAM lParam)
| ウィンドウプロシージャ
virtual void | setCameraPosition (const Vector3 &position)
| カメラ位置の設定
virtual const Vector3 & | getCameraPosition () const
| カメラ位置の取得
virtual void | setCameraRotation (const Vector3 &rotation)
| カメラ回転値の設定
virtual const Vector3 & | getCameraRotation () const
| カメラ回転値の取得
virtual String | getOperationString () const
| 操作方法文字列の取得
const String & | getInformationString () const
| インフォメーション文字列の取得

## Detailed Description

一人称カメラコントローラ

Definition at line 36 of file FirstPersonCameraController.h.

## Member Function Documentation

virtual const Vector3& Lamp::FirstPersonCameraController::getCameraPosition | ( |  | ) | const`[inline, virtual]`

| カメラ位置の取得 Returns: カメラ位置 Definition at line 85 of file FirstPersonCameraController.h.

virtual const Vector3& Lamp::FirstPersonCameraController::getCameraRotation | ( |  | ) | const`[inline, virtual]`

| カメラ回転値の取得 Returns: カメラ回転値 Definition at line 100 of file FirstPersonCameraController.h.

const String& Lamp::FirstPersonCameraController::getInformationString | ( |  | ) | const`[inline]`

| インフォメーション文字列の取得 Returns: インフォメーション文字列 Definition at line 124 of file FirstPersonCameraController.h.

virtual String Lamp::FirstPersonCameraController::getOperationString | ( |  | ) | const`[inline, virtual]`

| 操作方法文字列の取得 Returns: 操作方法文字列 Definition at line 107 of file FirstPersonCameraController.h.

virtual void Lamp::FirstPersonCameraController::setCamera | ( | Camera * | camera | ) | `[inline, virtual]`

  | カメラの設定 Parameters:
  camera | カメラ
Definition at line 52 of file FirstPersonCameraController.h.

virtual void Lamp::FirstPersonCameraController::setCameraPosition | ( | const Vector3 & | position | ) | `[inline, virtual]`

  | カメラ位置の設定 Parameters:
  position | カメラ位置
Definition at line 77 of file FirstPersonCameraController.h.

virtual void Lamp::FirstPersonCameraController::setCameraRotation | ( | const Vector3 & | rotation | ) | `[inline, virtual]`

  | カメラ回転値の設定 Parameters:
  rotation | カメラ回転値
Definition at line 92 of file FirstPersonCameraController.h.

void Lamp::FirstPersonCameraController::setup | ( | float | nearClip,
|  | float | farClip,
|  | float | aspect
| ) | `[virtual]`

  | セットアップ Parameters:
  nearClip | ニアクリップ
  farClip | ファークリップ
  aspect | アスペクト比
Definition at line 50 of file FirstPersonCameraController.cpp. References Lamp::String::format(), NULL, Lamp::Camera::setPerspectiveFovY(), Lamp::Camera::setTransformation(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

LRESULT Lamp::FirstPersonCameraController::windowProcedure | ( | HWND | windowHandle,
|  | u_int | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[virtual]`

  | ウィンドウプロシージャ Parameters:
  windowHandle | ウィンドウハンドル
  message | メッセージ
  wParam | wメッセージパラメータ
  lParam | lメッセージパラメータ
Definition at line 65 of file FirstPersonCameraController.cpp. References NULL, Lamp::Matrix33::setRotationXYZ(), u_int, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

The documentation for this class was generated from the following files:

- FirstPersonCameraController.h
- FirstPersonCameraController.cpp